StorageManagerASyncWorker (The Data Transfer Agent Service 2.1.0-3.5.0 API)
Date: 2014-11-12

org.gcube.datatransfer.agent.impl.worker.async

## Class StorageManagerASyncWorker

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.worker.Worker
  - - org.gcube.datatransfer.agent.impl.worker.ASyncWorker
    - - org.gcube.datatransfer.agent.impl.worker.async.StorageManagerASyncWorker

- All Implemented Interfaces:
    Serializable, Callable

      public class StorageManagerASyncWorker
      extends ASyncWorker

  Author:
    andrea
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.gcube.datatransfer.agent.impl.worker.ASyncWorker

      `errorHappened`

    - ### Fields inherited from class org.gcube.datatransfer.agent.impl.worker.Worker

      `destParameters, list, logger, sourceParameters, task, threadList, transferId, uuidgen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageManagerASyncWorker(String id, org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `call()`

    - ### Methods inherited from class org.gcube.datatransfer.agent.impl.worker.Worker

      `getResource, getTask, getThreadList, setTask, setThreadList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StorageManagerASyncWorker

          public StorageManagerASyncWorker(String id,
                                   org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source,
                                   org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)
                                    throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### call

          public Object call()
                      throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.